Advertisement:

Author Topic: After upgrade from 2.0.13 to 2.0.14, forum will not work  (Read 928 times)

Offline rickmastfan67

  • Jr. Member
  • **
  • Posts: 104
  • Gender: Male
    • @rickmastfan67 on Twitter
After upgrade from 2.0.13 to 2.0.14, forum will not work
« on: June 04, 2017, 12:48:02 PM »
Alright, I just updated the forums that I help Admin last night from 2.0.13 to 2.0.14 and now they no longer work. :( 

Keep getting the following message: " Sorry, SMF was unable to connect to the database. This may be caused by the server being busy. Please try again later. "

So, in the repair settings file, I noticed the following message at the top:
Some settings are not being shown because the database connection information is incorrect.
Check your database login details, table prefix and that the database actually contains your SMF tables.

I doubled checked with the guy who setup the database and he says the Server name, database, username, password are all correct, so that 'shouldn't' be the problem.  I did however notice that the " Database Engine: " line had the "Value not found!" text below it, even though the box on the right had MySQL properly selected and saved in the settings file.

We're running PHP 5.5.38, so that shouldn't be causing any of the problems since I read the update required 5.4 or higher.

Any suggestions?

Offline Illori

  • Project Manager
  • SMF Master
  • *
  • Posts: 47,881
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #1 on: June 04, 2017, 02:56:38 PM »
reset the password for your database even though it does match, that will fix the issue.

Offline rickmastfan67

  • Jr. Member
  • **
  • Posts: 104
  • Gender: Male
    • @rickmastfan67 on Twitter
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #2 on: June 05, 2017, 12:18:03 AM »
reset the password for your database even though it does match, that will fix the issue.

We just tried that, and it didn't work. :(

We're running MySQL5.1.x if that also helps.
« Last Edit: June 05, 2017, 12:58:25 AM by rickmastfan67 »

Offline Illori

  • Project Manager
  • SMF Master
  • *
  • Posts: 47,881
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #3 on: June 05, 2017, 04:55:25 AM »
that is a really old version of mysql. you should upgrade that to something more recent.

Offline rickmastfan67

  • Jr. Member
  • **
  • Posts: 104
  • Gender: Male
    • @rickmastfan67 on Twitter
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #4 on: June 08, 2017, 11:55:45 PM »
that is a really old version of mysql. you should upgrade that to something more recent.

How hard would it be to get the database upgraded from mysql 5.1 to 5.5?  Would there be any major problems?  As we're still having no luck getting the forum back online yet, even with just creating a new password for the database.

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 6,922
  • Too long in the wasteland
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #5 on: June 09, 2017, 12:18:53 AM »
If you patched to 2.0.14, look in /Packages/backups/, you'll see a backup from before 2.0.14 install.  Download/unzip/upload to forum root.  That will get you up & running in 2.0.13, then you can work on the mysql upgrade.

Offline rickmastfan67

  • Jr. Member
  • **
  • Posts: 104
  • Gender: Male
    • @rickmastfan67 on Twitter
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #6 on: June 09, 2017, 01:15:27 AM »
If you patched to 2.0.14, look in /Packages/backups/, you'll see a backup from before 2.0.14 install.  Download/unzip/upload to forum root.  That will get you up & running in 2.0.13, then you can work on the mysql upgrade.

That worked, thank for that suggestion. :)  Now to figure out how to upgrade MySQL to 5.5 before attempting to reapply 2.0.14 on the forums.  That and wait for the posts to roll in asking what happened. lol.

Offline Illori

  • Project Manager
  • SMF Master
  • *
  • Posts: 47,881
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #7 on: June 09, 2017, 05:08:51 AM »
are you the owner of the server? if you are not you will need to contact the owner to upgrade mysql.

Offline SleePy

  • Site Team Lead
  • SMF Master
  • *
  • Posts: 29,880
  • Gender: Male
  • Thats his happy face.
    • jdarwood007 on GitHub
    • @jdarwood on Twitter
    • SleePy Code - My personal site
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #8 on: June 10, 2017, 06:14:05 PM »
SMF has no issues supporting MySQL 5.1.

Does your host use cPanel?  It may have more issues upgrading MySQL passwords.  You may need to ask them about using mysql 41+ compliant passwords.  If you can use a terminal/ssh client to connect to the mysql server, you usually can run something like this to upgrade the password:
Code: [Select]
SET password=PASSWORD('YourMySQLPassword');
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:
GitHub
G+

Offline NightWolve

  • Newbie
  • *
  • Posts: 1
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #9 on: September 14, 2017, 01:10:50 AM »
reset the password for your database even though it does match, that will fix the issue.
I dunno who you are, but I registered to tell ya you're a lifesaver, and thanks a lot!

I just tried the 2.0.13 to 2.0.14 update patch, and got our forum shutdown having had a lot of confidence in the SMF patch system...

We tried the a) repair_settings.php, b) upgrading the Settings.php file to 2.0 since the forum started as 1.0 and was incrementally upgraded, and c) found the backup file pre-2.0.13 so I was able to downgrade back, etc. but the same connection error persisted...

We never would've got the forum back up without your tip here, dunno why the database password had to be reset, but yeah, thank you dearly... If you ever return to this thread, I would like to know the cause and why this was the solution, but for now I'm just glad to have the forum back up and running!

Offline aegersz

  • Sophist Member
  • *****
  • Posts: 1,109
  • Gender: Male
  • "mods" junkie
    • dopetalk
Re: After upgrade from 2.0.13 to 2.0.14, forum will not work
« Reply #10 on: September 14, 2017, 03:14:57 PM »
CentOS 6.9:

I upgraded myself 5.1 to 5.6 but had to go via 5.5.

I used remi repo to get to 5.5 and familycollecte repo to move to 5.6.

here are my rough notes that I took as I also converted to InnoDB:

Code: [Select]
after upgrade:
-----------------
mysql_upgrade -u root -proot

5.1 to 5.5
------------
https://www.zerostopbits.com/how-to-upgrade-mysql-5-1-to-mysql-5-5-on-centos-6-7/

5.5 to 5.6
------------
http://forums.sentora.org/showthread.php?tid=2233

convert:
---------
mysql -u root -proot smf209 -e "show table status where Engine='MyISAM';" | awk 'NR>1 { print "ALTER TABLE "$1" ENGINE = InnoDB;" }' | mysql -u root -proot smf209

InnoDB config
-----------------
https://dba.stackexchange.com/questions/41872/configuring-mysql-my-cnf-for-myisam-and-innodb
SMF 2.0: 135+ mods installed (the full list can be seen at http://forum.drugs-and-users.org/index.php/topic,3301)